GENOME-MUSIC-SURVIVAL(1p)

genome music survival

NAME
genome music survival - Create survival plots and P-values for clinical and mutational phenotypes.

VERSION
This document describes genome music survival version 0.04 (2013-05-25 at 17:45:01)

SYNOPSIS
genome music survival --bam-list=? --output-dir=? [--maf-file=?] [--skip-silent] [--genetic-data-type=?] [--numeric-clinical-data-file=?] [--categorical-clinical-data-file=?] [--glm-clinical-data-file=?] [--phenotypes-to-include=?] [--legend-placement=?] [--skip-non-coding]

 ... music survival \
        --bam-list /path/myBamList.tsv \
        --maf-file /path/myMAF.tsv \
        --numeric-clinical-data-file /path/myNumericData.tsv \
        --categorical-clinical-data-file /path/myClassData.tsv \
        --output-dir /path/output_directory

 ... music survival \
        --bam-list /path/myBamList.tsv \
        --maf-file /path/myMAF.tsv \
        --glm-clinical-data-file /path/myGLMClinicalData.tsv \
        --output-dir /path/output_directory

 ... music survival \
        --bam-list /path/myBamList.tsv \
        --maf-file /path/myMAF.tsv \
        --genetic-data-type 'gene' \
        --glm-clinical-data-file /path/myGlmClinicalData.tsv \
        --phenotypes-to-include 'Race,Gender,TP53' \
        --output-dir /path/output_directory

REQUIRED ARGUMENTS

bam-list  Text
    List of sample names to be included in the analysis. (See Description)

output-dir  Text
    Directory where output files will be written

OPTIONAL ARGUMENTS

maf-file  Text
    List of mutations in MAF format

skip-silent  Boolean
    Skip silent mutations from the provided MAF file

    Default value 'true' if not specified

genetic-data-type  Text
    Correlate clinical data to "gene" or "variant" level data

    Default value 'gene' if not specified

numeric-clinical-data-file  Text
    Table of samples (y) vs. numeric clinical data category (x)

categorical-clinical-data-file  Text
    Table of samples (y) vs. categorical clinical data category (x)

glm-clinical-data-file  Text
    Clinical traits, mutational profiles, other mixed clinical data (See DESCRIPTION).

phenotypes-to-include  Text
    Include only these genes and/or phenotypes in the anlaysis. (COMMA-DELIMITED)

legend-placement  Text
    Choose one of 'bottomleft', 'topleft', 'topright', or 'bottomright'.

    Default value 'bottomleft' if not specified

skip-non-coding  Boolean
    Skip non-coding mutations from the provided MAF file

    Default value 'true' if not specified

DESCRIPTION
This command performs survival analysis and plots survival curves for mutational data, as well as any clinical traits of interest as specified via the --phenotypes-to-include input parameter. The analyses performed include the Kaplan-Meier estimator followed by the Cox Proportional Hazards model. Outputs for each gene/clinical trait analyzed include survival curves, a hazard ratio (with confidence intervals), and P-values and FDRs describing the significance of the difference between survivors and non-survivors.

All clinical data files are searched for the required (case insensitive) "vital_status" and "days_to_last_followup" columns which are paired to phenotypes via sample IDs for the survival analysis. The first column of all clinical data files MUST contain the sample IDs, same as in other MuSiC tools. By default, analysis is performed on every gene present in the MAF. Optionally, the analysis may be limited to only specific genes by listing them (comma delimited) after the --phenotypes-to-include input parameter. Survival analysis may also be performed on other columns in the clinical data file by adding the column headers to the list of entries specified after the --phenotypes-to-include input parameter.

Here are some general guildelines for creating clinical data input files:

•   Headers are required.

•   The first column of each clinical data file must contain sample IDs which match those in both the --bam-list and the MAF variant list (in the MAF, this is the Tumor_Sample_Barcode column, specifically).

•   In at least one of the clinical data files input, columns with headers "vital_status" and "days_to_last_followup" (case insensitive) must exist. "vital_status" must be delineated by 1's and 0's, where 0 denotes 'living', and 1 denotes 'deceased'.

Note that all input files must be tab-separated.

ARGUMENTS

--bam-list
    Provide a file containing sample names and normal/tumor BAM locations for each. Use the tab- delimited format [sample_name normal_bam tumor_bam] per line. This tool only needs sample_name, so all other columns can be skipped. The sample_name must be the same as the tumor sample names used in the MAF file (16th column, with the header Tumor_Sample_Barcode).

LICENSE
Copyright (C) 2010-2011 Washington University in St. Louis.

It is released under the Lesser GNU Public License (LGPL) version 3. See the associated LICENSE file in this distribution.

AUTHORS
 Nathan D. Dees, Ph.D.
 Qunyuan Zhang, Ph.D.

SEE ALSO
genome-music(1), genome(1)